Bug 1292200 - [RFE] Support for RoCEv2 [NEEDINFO]
[RFE] Support for RoCEv2
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rdma (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Raghavendra G
storage-qa-internal@redhat.com
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 12:21 EST by Harold Miller
Modified: 2017-03-25 12:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ccalhoun: needinfo? (rgowdapp)


Attachments (Terms of Use)

  None (edit)
Description Harold Miller 2015-12-16 12:21:15 EST
Investigate if RoCeV2 would be a valuable addition to our current network protocols.

From the Customer - "You were asking why RoCEv2.  The couple of reasons why I think RoCEv2 could be a good move.  One, RDMA in general, offloads the CPU by bypassing the host software stack reducing load on critical CPU resources.  Two, it would appear to be an alternative to FCoE that is routable and hopefully with more industry support.  

I do think RoCE is in it’s infancy and we are not using it in IT anywhere at this time.  This is more of a technology investigation and determining where (or if) RoCE will be an option.  As IT, we are cautious about bringing in unproven technologies but at the same time need to try and understand where storage protocols are heading as we re-factor our data centers for more efficient and reliable operations.

If you are not seeing demand yet from our customer base then it may not be worth looking into yet.  Is there customer demand or am I just too far ahead of the curve in my thoughts?  Or, RoCE might just fall flat on it’s face like so many.
 :-)"
Comment 2 Cal Calhoun 2016-03-17 10:46:32 EDT
I'd like to update the requester.  Has there been any progress on this?  Will there be?

Warren D. 'Cal' Calhoun
Associate Technical Support Engineer
Comment 3 Cal Calhoun 2017-01-11 11:48:03 EST
Has there been any determination as to the practicality of this RFE?  Are we considering it?  Is there something with which I can update the customer?

Note You need to log in before you can comment on or make changes to this bug.